var email;
    var nome;
    var http_referer;
    
    $(window).load(function() {
		
	//	http_referer = $('form[name=cadastro]').find('input[name=http_referer]').val();
	});
	
	
	
	
	$('form[name=form_newsletter_sidebar]').submit(function(e)
    {
        e.preventDefault();
        limpa('.msg_newsletter_sidebar');
        email = $(this).find('input[name=email]').val();
        nome = $(this).find('input[name=nome]').val();
       
        if (email !== "" && nome !== "")
        {
            var filtro = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;///^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
            
            if (filtro.test(email))
            {
                var data = {
                    origin: 'ebook',
                    email: email,
                    nome: nome,
                };
                var target = base_url + 'newsletter/cadastro/cadastro';
                $.ajax(
                {
                    url: target,
                    dataType: 'json',
                    type: 'POST',
                    cache: false,
                    data: data,
                    success: function(dt)
                    {
                        if (dt.result == 1)
                        {
                            msg_show('.msg_newsletter_sidebar', 'success', dt.msg);
                            $('form[name=form_newsletter_sidebar]')[0].reset();
                        }
                        if (dt.result == 2)
                        {
                            msg_show('.msg_newsletter_sidebar', 'btn-warning', dt.msg);//warning
                        }
                        if (dt.result == 3)
                        {
                             msg_show('.msg_newsletter_sidebar', 'error', dt.msg);
                        }

                    },
                    error: function(error)
                    {
                         msg_show('.msg_newsletter_sidebar', 'error', 'Falha na Comunicação.');
                    }
                });
            }
            else
            {
                msg_show('.msg_newsletter_sidebar', 'error', 'Esse endereço de e-mail não é válido!');
            }
        }
        else
        {
            msg_show('.msg_newsletter_sidebar', 'error', 'Preencha todos os campos.');
        }

    });
    
    $("body").on('click', '#reenvio', function(e)
    {
        e.preventDefault();
        
        if (email !== "" && nome !== "")
        {
            var filtro = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
            if (filtro.test(email))
            {
                var data = {
                    email: email,
                    nome: nome,
                };

                var target = base_url + 'newsletter/cadastro/reenvio';

                $.ajax(
                {
                    url: target,
                    dataType: 'json',
                    type: 'POST',
                    cache: false,
                    data: data,
                    success: function(dt)
                    {
                        if (dt.result == 1)
                        {
                            msg_show('.msg_newsletter_sidebar', 'btn-success', dt.msg);
                            $('form[name=form_newsletter_sidebar]')[0].reset();
                        }
                        if (dt.result == 2)
                        {
                            msg_show('.msg_newsletter_sidebar', 'btn-warning', dt.msg);//warning
                        }
                        if (dt.result == 3)
                        {
                             msg_show('.msg_newsletter_sidebar', 'btn-error', dt.msg);
                        }

                    },
                    error: function(error)
                    {
                         msg_show('.msg_newsletter_sidebar', 'error', 'Falha na Comunicação.');
                    }
                });
            }
            else
            {
                msg_show('.msg_newsletter_sidebar', 'error', 'Esse endereço de e-mail não é válido!');
            }
        }
        else
        {
            msg_show('.msg_newsletter_sidebar', 'error', 'Preencha todos os campos.');
        }

    });
    
    $(function () {
            
            $('form[name=form_newsletter_sidebar]').find('input[name=email]').keyup(function(){
                limpa('.msg_newsletter_sidebar');
            });
        });
    
    
   function msg_show(classe, cor, msg)
   {
       limpa(classe)
       $(classe).removeClass('hide');
       $(classe).addClass(cor);
       $(classe).html(msg);
   }
   
   function limpa(classe)
   {
       $(classe).addClass('hide');
       $(classe).removeClass('success');
       $(classe).removeClass('btn-warning');
       $(classe).removeClass('error');
       $(classe).html('');
   }
    
    
	
	///////######################################## velho
	
	$('form[name=cadastro-newsletter]').submit(function(e)
    {
        e.preventDefault();
        

        email = $(this).find('input[type=email]').val();
        if (email !== "")
        {
            var filtro = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
            if (filtro.test(email))
            {
                var data = {
                    origin: 'QiClub',
                    email: email,
                    http_referer: http_referer
                };

                var target = base_url + 'newsletter/newsletter/cadastro';
                var title = "Titulo";
                var msg = "Mensagem";
                
                $.ajax(
                {
                    url: target,
                    dataType: 'json',
                    type: 'POST',
                    cache: false,
                    data: data,
                    success: function(success)
                    {
                        if (success.result == 1)
                        {
                            $('#content-newsletter').find('.alert').removeClass('hide');
                            $('#content-newsletter').find('.alert>.text-error').html(success.form);
                        }
                        if (success.result == 2)
                        {
                            $('#email').val('');
                            $('#content-newsletter').find('.alert').addClass('hide');
                            $('.modal-newsletter').modal('show');
                        }
                        if (success.result == 3)
                        {
                            $('#content-newsletter').find('.alert').removeClass('hide');
                            $('#content-newsletter').find('.alert>.text-error').html(success.form);
                        }

                    },
                    error: function(error)
                    {
                        /* $("body").css("cursor", "auto");
                         $('.message').remove()
                         lmsg.html('<div class="message login-warning bg-warning"><p>Falha de Comunicação com o Servidor.</p></div>');*/
                    }
                });
            }
            else
            {
                $('#content-newsletter').find('.alert').removeClass('hide');
                $('#content-newsletter').find('.alert>.text-error').html('Esse endereço de e-mail não é válido!');
            }
        }
        else
        {
            $('#content-newsletter').find('.alert').removeClass('hide');
            $('#content-newsletter').find('.alert>.text-error').html('Digite um e-mail válido.');
        }

    });
    
    //reenvio
    // $("body").on('click', '#reenvio', function(e)
    // {
    //     e.preventDefault();
        
    //     if (email != "")
    //     {
    //         var filtro = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
    //         if (filtro.test(email))
    //         {
    //             var data = {
    //                 origin: 'leadpg',
    //                 email: email
    //             };

    //             var target = base_url + 'newsletter/newsletter/reenvio';

    //             $.ajax(
    //             {
    //                 url: target,
    //                 dataType: 'json',
    //                 type: 'POST',
    //                 cache: false,
    //                 data: data,
    //                 success: function(success)
    //                 {

    //                     if (success.result == 1)
    //                     {
    //                         $('#content-newsletter').find('.alert').removeClass('hide');
    //                         $('#content-newsletter').find('.alert>.text-error').html(success.form);
    //                     }
    //                     if (success.result == 2)
    //                     {
    //                         $('#email').val('');
    //                         $('#content-newsletter').find('.alert').addClass('hide');
    //                         $('.modal-newsletter').modal('show');
    //                     }
    //                     if (success.result == 3)
    //                     {
    //                         $('#content-newsletter').find('.alert').removeClass('hide');
    //                         $('#content-newsletter').find('.alert>.text-error').html(success.form);
    //                     }

    //                 },
    //                 error: function(error)
    //                 {
    //                     /* $("body").css("cursor", "auto");
    //                      $('.message').remove()
    //                      lmsg.html('<div class="message login-warning bg-warning"><p>Falha de Comunicação com o Servidor.</p></div>');*/
    //                 }
    //             });
    //         }
    //         else
    //         {
    //             $('#content-newsletter').find('.alert').removeClass('hide');
    //             $('#modal-cadastro').find('.alert>.text-error').html('Esse endereço de e-mail não é válido!');
    //         }
    //     }
    //     else
    //     {
    //         $('#content-newsletter').find('.alert').removeClass('hide');
    //         $('#content-newsletter').find('.alert>.text-error').html('Digite um e-mail válido.');
    //     }

    // });